#### Previous topic

scipy.cluster.hierarchy.complete

#### Next topic

scipy.cluster.hierarchy.weighted

# scipy.cluster.hierarchy.average

`scipy.cluster.hierarchy.``average`(y)

  Performs average/UPGMA linkage on a condensed distance matrix

  Parameters:

  y : ndarray

  > The upper triangular of the distance matrix. The result of `pdist` is returned in this form.

  Returns:

  Z : ndarray

  > A linkage matrix containing the hierarchical clustering. See `linkage` for more information on its structure.

  See also

  `linkage`
    for advanced creation of hierarchical clusterings.
  `scipy.spatial.distance.pdist`
    pairwise distance metrics